/* * universal selector - used to target all elements */

*{
	font-family: "Lucida Sans", monospace;
	font-size: 12px;
}

/* # id selector - access id */

#zuitt-motto {
	letter-spacing: 5px;
}

h3{
	letter-spacing: 25px;
}

/* type selector - target elements with specific tag/type name */

h1{
	color: yellow;
	text-align: center;
	font-size: 2rem;
}

section {
	height: 100vh;
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	list-style: none;
}

form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.5%;
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}


/* . class selector - targets multiple elements at once */
.offering-item{
	text-transform: uppercase;
}

/* 'tagname[attribute]' attribute selector - targets elements with specific element attribute */
input[required]{
	border-width: 2px; border-style: dotted; border-color: navy; width: 90%;
}

/*	Combinators*/
h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

#bootcamp-learning-list li {
	color: #075966;
}

h2 ~ a, a {
	text-decoration: none;
}

form > label {
	color: rgb(0, 100, 250);
}

html {
	scroll-behavior: smooth;
}

body {
	background-color: skyblue;
}

nav {
	background-color: floralwhite;
}
/* selector:pseudo class - changes the style when hovered over */
a:hover {
	background-color: #b4b6de;
}

div{
	display: inline-block;
	float: right;
}


/*specificity rule 
priorities accdg to selector
	1. ID selector (highest)
	2. Class Selector
	3. Attribute Selector
	4.Type Selector
	5.Universal Selector
	*/
/*	priorities aacdg to styling
	1. Inline
	2. External
	3. Internal
*/
/* !important overrides all priorities in styling */

/* CSS Combinators CHANGES ONLY OCCUR ON SECOND SELECTOR

	Adjacent Sibling Selector 
		(+)
	Descendant Sibling Selector
		( )
	General Sibling Selector
		(~)
	Child Selector
		(>)

 */

